Experiment: -

Description

In the current artdag model, RequestReceiver is instantiated by CommandableFragmentGenerator and is responsible for receiving
request as well as storing them and making them available to CFG upon request. In a more modular view of artdaq, the request
receiving capability should be separated from the request storage, so that RequestReceiver could be replaced with a different
implementation and not affect the CFG code.

Related issues:
Related to artdaq - Idea #24508: Separate Fragment Buffering (and Request app... Closed 06/03/2020

History

#1 - 05/12/2020 01:48 PM - Eric Flumerfelt

- Status changed from New to Resolved

This has been implemented on artdaq:feature/24398_RequestReceiver_RequestBufferSeparation. There is a configuration change on
artdag-utilities-daqginterface:feature/24398_RequestReceiver_CfgChanges; all BoardReaders in pull mode need to set "receive_requests: true",
similar to how EventBuilders must set "send_requests: true" if they intend to send requests.

#2 - 06/03/2020 11:06 AM - Eric Flumerfelt
- Related to Idea #24508: Separate Fragment Buffering (and Request applying) from Generating added

#3 - 07/24/2020 02:13 PM - Eric Flumerfelt
- Target version set to artdaq v3_09_00

- Status changed from Resolved to Closed
